Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# log4cplus::spi::FilterFactory Class Reference

This abstract class defines the "Factory" interface to create "Appender" objects. More...

`#include <factory.h>`

Inheritance diagram for log4cplus::spi::FilterFactory:

[legend]
Collaboration diagram for log4cplus::spi::FilterFactory:

[legend]
List of all members.

## Public Member Functions
| FilterFactory ()
virtual | ~FilterFactory ()
virtual FilterPtr | createObject (const log4cplus::helpers::Properties &props)=0
| Create a "Filter" object.
virtual log4cplus::tstring | getTypeName ()=0
| Returns the typename of the "Filter" objects this factory creates.

## Detailed Description

This abstract class defines the "Factory" interface to create "Appender" objects.

Definition at line 94 of file factory.h.

## Constructor & Destructor Documentation

log4cplus::spi::FilterFactory::FilterFactory | ( |  | ) | `[inline]`

| Definition at line 96 of file factory.h.

virtual log4cplus::spi::FilterFactory::~FilterFactory | ( |  | ) | `[inline, virtual]`

| Definition at line 97 of file factory.h.

## Member Function Documentation

virtual FilterPtr log4cplus::spi::FilterFactory::createObject | ( | const log4cplus::helpers::Properties & | props | ) | `[pure virtual]`

| Create a "Filter" object.

virtual log4cplus::tstring log4cplus::spi::FilterFactory::getTypeName | ( |  | ) | `[pure virtual]`

| Returns the typename of the "Filter" objects this factory creates. Implements log4cplus::spi::BaseFactory.

The documentation for this class was generated from the following file:

- factory.h